use gumdrop::Options;
use ipnet::IpNet;
use once_cell::sync::OnceCell;

#[derive(Debug, Options)]
pub struct Args {
    #[options(
        no_short,
        help = "subnets to allow connection from. If unset, defaults to local segments"
    )]
    pub allowed_subnets: Vec<IpNet>,

    #[options(help = "print help message")]
    help: bool,
}

static ARGS: OnceCell<Args> = OnceCell::new();

pub fn args_init() {
    ARGS.set(Args::parse_args_default_or_exit())
        .expect("args init should only be called once");
}

pub fn args() -> &'static Args {
    ARGS.get().expect("args init should have been called")
}
