use crate::common;

#[derive(Clone, Debug)]
pub struct HardwareConfig {
    pub has_wwan: bool,
    pub has_wlan: bool,
}

impl HardwareConfig {
    async fn has_wwan() -> bool {
        cfg!(debug_assertions) || common::wwan_module().is_some()
    }
    async fn has_wlan() -> bool {
        cfg!(debug_assertions) || common::wlan_interface().is_some()
    }
    pub async fn load() -> Self {
        HardwareConfig {
            has_wwan: HardwareConfig::has_wwan().await,
            has_wlan: HardwareConfig::has_wlan().await,
        }
    }
}
